//<head>//////////////////////////////////////////////////////////////
//
//	
//	Lexed version 3.1
//	Copyright (C) 1999 2000 2001 2002 2003.
//	Universit Paris 7
//	INRIA Rocquencourt
//
//	Conception & programmation :
//	Lionel Clment
//	e-mail : lionel.clement@linguist.jussieu.fr
//
//	vendredi 18 janvier 2002, 13h41
//
//
////////////////////////////////////////////////////////////////</head>////

#ifndef LEMMETCP_H
#define LEMMETCP_H

#include <sockhelp.h>

class TcpServer
{
  
  int listensock; /* So that we can close sockets on ctrl-c */
  int connectsock;
  int port;
  char buffer[1024];

public:
  
  TcpServer(char *portnbname)
    {
      port = atoport(portnbname, "tcp");
      listensock = -1;
      connectsock = -1;
    }
  
  ~TcpServer(void)
    {
    }
  
  void TcpServer::Start();
  void TcpServer::Stop();
  int GetData();
  int GetPort() {return port;};
  char *GetBuffer() {return buffer;};
  void PutData (char *buf);
};


#endif // LEMMETCP_H
